package tests.fr.cnrs.mri.sijame.messages;

import junit.framework.Assert;

import org.junit.Test;

import fr.cnrs.mri.sijame.messages.AnswerMessage;
import fr.cnrs.mri.sijame.messages.Message;


public class AnswerMessageTest {
	
	@Test
	public void testAnswerMessage() {
		Message message = new AnswerMessage("answer");
		Assert.assertFalse(message.isRequest());
		Assert.assertEquals("answer", message.getData());
	}
	
	@Test
	public void testIsRequest() {
		Message message = new AnswerMessage("answer");
		Assert.assertFalse(message.isRequest());
	}
}
