package tests.fr.cnrs.mri.remoteij;

import org.junit.runner.RunWith;
import org.junit.runners.Suite;

import tests.fr.cnrs.mri.remoteij.client.rfs.RemoteFilesystemViewTest;
import tests.fr.cnrs.mri.remoteij.client.rmr.RemoteMacroRunnerClientTest;
import tests.fr.cnrs.mri.remoteij.server.rmr.MacroRunnerServerTest;
import junit.framework.JUnit4TestAdapter;
import junit.framework.Test;
import junit.framework.TestSuite;

@RunWith(Suite.class)
@Suite.SuiteClasses({ 
		RemoteMacroRunnerClientTest.class,
		MacroRunnerServerTest.class,
	})
public class RemoteImageJTest {

	public static Test suite() {
		TestSuite suite = new TestSuite("Test for tests.fr.cnrs.mri.remoteij");
		//$JUnit-BEGIN$
		suite.addTest(new JUnit4TestAdapter(RemoteFilesystemViewTest.class));
		suite.addTest(new JUnit4TestAdapter(RemoteMacroRunnerClientTest.class));
		suite.addTest(new JUnit4TestAdapter(MacroRunnerServerTest.class));
		//$JUnit-END$
		return suite;
	}

}
